<?php
/**
 * Description of Usuario
 *
 * @author carlos
 */

class UsuarioEntity Extends UsuarioRepository{
    private $options = array(
        'usuario'=>null,
        'contrasena'=>null,
        'nip'=>null,
        'nombre'=>null,
        'apellido'=>null,
        'role'=>null,
        'status'=>null,
        'sucursal'=>null,
        'acceso_movil'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    public function setUsuario($usuario){
        $this->usuario = $usuario;
    }
    
    public function setContrasena($contrasena){
        $this->contrasena = $contrasena;
    }
    
    public function setNombre($nombre){
        $this->nombre = $nombre;
    }
    
    public function setApellido($apellido){
        $this->apellido = $apellido;
    }
    
    public function setRole($role){
        $this->role = $role;
    }
    
    public function setActivo($activo){
        $this->activo = $activo;
    }
    
     public function getUsuario(){
        return $this->options['usuario'];
    }
    
    public function getContrasena(){
        return $this->options['contrasena'];
    }
    
    public function getNombre(){
        return $this->options['nombre'];
    }
    
    public function getApellido(){
        return $this->options['apellido'];
    }
    
    public function getEmail(){
        return $this->options['email'];
    }
    
    public function getRole(){
        return $this->options['role'];
    }
    
    public function getTable(){
        return $this->table;
    }

}